#include <bits/stdc++.h>
#include <iostream>
#include <iomanip>
using namespace std;
long long  kec[20],pet[20],dva[20],sve[60];
long long v,vi,e,r,ve;
long long taj;
long long neki[60];
int main (){
kec[1]=1;
pet[1]=5;
dva[1]=2;
for (int i=2;i<=18;i++){
    kec[i]=kec[i-1]*10;
    pet[i]=pet[i-1]*10;
    dva[i]=dva[i-1]*10;
    }
    for (int i=1;i<=55;i++){
        sve[i]=kec[i];
        sve[i+20]=dva[i];
        sve[i+40]=pet[i];
    }
    for (int i=1;i<=60;i++){
     sort(sve,sve+60);


    }
     scanf("%d", &v);
    for (int i=1;i<=54;i++){

        if (sve[i]<=v){
            taj=sve[i];
            vi=i;

    }
    }

long long br=0;

for (int j=vi;j>=1;j--){
    ve=v;
    e=v/sve[j];
    br+=e;
    e=0;
    r=v%sve[j];
    v=r;
    r=0;


}
printf("%d", &br);






return 0;
}